#include "games.hpp"

GamePage::GamePage() : Page("Games and Music")
{
	// create the notes of the C major scale
	Note [DO]  = new ToneButton(5,   175, DO);
	Note [RE]  = new ToneButton(80,  175, RE);
	Note [MI]  = new ToneButton(155, 175, MI);
	Note [FA]  = new ToneButton(230, 175, FA);
	Note [SOL] = new ToneButton(305, 175, SOL);
	Note [LA]  = new ToneButton(380, 175, LA);
	Note [TI]  = new ToneButton(455, 175, TI);

	Note [DO_SHARP]  = new ToneButton(40,  210, DO_SHARP);
	Note [RE_SHARP]  = new ToneButton(115, 210, RE_SHARP);
	Note [FA_SHARP]  = new ToneButton(265, 210, FA_SHARP);
	Note [SOL_SHARP] = new ToneButton(340, 210, SOL_SHARP);
	Note [LA_SHARP]  = new ToneButton(415, 210, LA_SHARP);

	die = new Die(250, 100);
	lotto = new Lotto(100, 20);
}

void GamePage::Display()
{
	Page::Display();

	for (int key = DO; key <= TI; key++)
	  Note [key]->Display();

	die->Display();
	lotto->Display();
}

GamePage::~GamePage()
{
	for (int key = DO; key <= TI; key++)
	  delete Note [key];

	delete die;
	delete lotto;
}

void OpenGamePage()
{
	// get next page ready
	GamePage* new_page = new GamePage();

	// create new page
	CurrentScreen->NewWorkArea(new_page);
	CurrentScreen->DisplayWorkArea();
}
